<?php

if( !class_exists('Ph_UPS_Return_Label_Type') ){

	class Ph_UPS_Return_Label_Type {

		public function __construct() {

			add_action( 'wp_ajax_ph_ups_label_type', array($this,'ph_ups_label_type'), 10, 1 );
			add_filter( 'wf_ups_shipment_confirm_request_data', array($this,'ph_ups_forward_or_return_label'), 10, 2 );
		}

		public function ph_ups_label_type(){

			$label_type	= isset($_POST['label_type']) ? $_POST['label_type'] : '';
			$order_id	= isset($_POST['order_id']) ? $_POST['order_id'] : '';

			if ( !empty($order_id) && !empty($label_type) ) {
				
				update_post_meta( $order_id, '_ph_ups_shipment_label_type', $label_type );

				wp_die( json_encode(true) );

			}else{

				wp_die( json_encode(false) );
			}
		}

		public function ph_ups_forward_or_return_label($request_arr, $order){

			$label_type = get_post_meta( $order->id, '_ph_ups_shipment_label_type', true );

			//If the customer requested for forward label then removing ReturnService.
			if ( $label_type == 'forward' ) {

				foreach ( $request_arr['Shipment'] as $key => $value ) {
				
					if ( $key == 'ReturnService' ) {

						unset($request_arr['Shipment']['ReturnService']);
					}
				}
			}

			delete_post_meta( $order->id, '_ph_ups_shipment_label_type' );
			return $request_arr;
		}
	}
	new Ph_UPS_Return_Label_Type();
}